Bug Hunting Session
Bug 73369 - Crash when closing Writer with Sidebar enabled (WinXP SP3)
Summary: Crash when closing Writer with Sidebar enabled (WinXP SP3)
Status: RESOLVED DUPLICATE of bug 70154
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: x86 (IA32) Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar
  Show dependency treegraph
 
Reported: 2014-01-07 18:47 UTC by Bohumír Džubej
Modified: 2017-02-13 13:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Error message. (5.80 KB, image/gif)
2014-01-07 18:47 UTC, Bohumír Džubej
Details
WMV video with crash. (2.11 MB, video/x-ms-wmv)
2014-01-09 08:30 UTC, Bohumír Džubej
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bohumír Džubej 2014-01-07 18:47:22 UTC
Created attachment 91610 [details]
Error message.

I am sorry for my English. I am Czech.
If I end Writer (no other program - only Writer) I see attachment message. This problem is with new right panel. If in LO 4.1.4 disble this experimental function, right panel is not show and error is not.
Comment 1 Maxim Monastirsky 2014-01-07 19:29:02 UTC
Fixed summary, added similar bug to 'See also'.
Comment 2 tommy27 2014-01-08 21:16:19 UTC
@Bohumír Džubej
does it always crash or just sporadically like in Bug 67558?
Comment 3 Bohumír Džubej 2014-01-09 08:30:18 UTC
Created attachment 91738 [details]
WMV video with crash.
Comment 4 Bohumír Džubej 2014-01-09 08:38:19 UTC
Always crash. Testing on 2 PCs.
1st PC (noebook ASUS) CPU Intel Celeron 1 core, 1,6 GHz, RAM 2 GB, WinXP SP3.
2nd PC (desktop) CPU Intel Core Quad 4 cores, 3 GHz, RAM 4 GB, WinXP SP3.
Comment 5 Bohumír Džubej 2014-01-09 08:42:29 UTC
Always crash with Sidebar enabled. And only Writer crash.
Comment 6 tommy27 2014-01-09 19:55:33 UTC
which version are you using? 4.1.4 or 4.2.0?
Comment 7 Bohumír Džubej 2014-01-09 20:10:06 UTC
Either.
In LO 4.1.4 crash only with enabled experimental right Sidebar. Without Sidebar is end program correct.
In LO 4.2.0.1 ID 7bf567613a536ded11709b952950c9e8f7181a4a crash always, because right Sidebar is not disable possible.
Comment 8 tommy27 2014-01-09 20:12:13 UTC
ok. version should indicate earlier release where the crash appears.
in this case --> 4.1.4.2
Comment 9 Bohumír Džubej 2014-01-15 09:19:39 UTC
In version 4.2.0.2
ID: cd65d6220c5694ee7012d7863bcde3455c9e3c30
bug is continuing.
Comment 10 Bohumír Džubej 2014-01-15 10:22:35 UTC
Now I testing
version 4.1.4.2
ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72
and without eperimental sidebar (CheckBox is Unchecked) is Exit Writer OK.
With experimental sidebar (CheckBox is Checked) is Exit Writer with bug.
Comment 11 tommy27 2014-01-17 11:14:40 UTC
not reproducible with my LibO 4.1.4.2 under a Win XP 32bit sp3 machine.
I have enabled experimental features, then I enabled the sidebar.
now I can close and open LibO with no crash.

try resetting you user profile and tell us if issue still persists:
https://wiki.documentfoundation.org/UserProfile
Comment 12 Bohumír Džubej 2014-01-17 13:53:09 UTC
Wery good idea!
But problem is not in full user profile. Problem is only in user template.

1) Sidebar MUST be enabled.

2a) Run Writer and save file as template.
2b) Set this template as defaul template.
2c) Restart Writer.
2d) Exit Writer -> bug.

3a) Run Writer and in "File -> New -> Templates" delete this template and template set Writer resume.
3b) End Writer. Writer is ending with bug.
3c) Run Writer.
3d) End Writer. Writer is ending without bug.

This problem is only in Writer. For example in Calc is all OK.
Comment 13 bfoman (inactive) 2014-01-17 20:02:15 UTC
Checked with:
Version: 4.2.0.2
Build ID: cd65d6220c5694ee7012d7863bcde3455c9e3c30
Windows 8.1 Enterprise 64 bit

Could not reproduce. No crash.
Comment 14 Bohumír Džubej 2014-01-17 23:16:01 UTC
I am sorry. I do not write about Windows 8.1 Enterprise 64 bit. I write about Windows XP SP3 32 bit.
Comment 15 bfoman (inactive) 2014-01-18 08:49:35 UTC
(In reply to comment #14)
> I am sorry. I do not write about Windows 8.1 Enterprise 64 bit. I write
> about Windows XP SP3 32 bit.

Sure. It is always worth to check on other systems as it can help to pinpoint the exact environment where the bug occurs.
Comment 16 Bohumír Džubej 2014-02-03 10:33:11 UTC
Version: 4.2.0.4
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
WinXP SP3

Bug is proceeding.
Comment 17 Yousuf Philips (jay) (retired) 2014-06-01 20:04:36 UTC
Confirmed that it happens with 4.2.4 on Windows XP SP3. It happens in random times. It happened when the sidebar was opened, but wasnt happening when it was closed. Then it wasnt it stopped happening, and then i turned the sidebar off, and then closed and then it happened again. I couldnt get it to happen in 4.3 beta.
Comment 18 Yousuf Philips (jay) (retired) 2014-06-02 01:40:48 UTC
Just confirmed it happened in 4.2.6 as well.
Comment 19 Yousuf Philips (jay) (retired) 2014-06-02 04:40:10 UTC

*** This bug has been marked as a duplicate of bug 70154 ***
Comment 20 zahra 2017-02-13 13:49:02 UTC
hello.
i am not familiar with sidebar and its usage.
but in 4.3 and 4.4 all versions, i recieved error for microsoft visual c runtime library and sometimes the error for memory could not be read.
in 5.0 and 5.1 the error for visual c is resolved, but memory could not be read remained.
also in 5.0 and 5.1 i had a crash after exiting libreoffice.
libreoffice became unresponsive and wanted me to exit the program.
after that, wanted to report the error to microsoft.
after testing 5.2.5 (thanks God and i sincerely appreciate you) all issues related to exiting libreoffice on windows xp is completely fixed for me.
i sincerely pray for you and request divine infinite mercy and blessings for you.